package com.ruoyi.oa.service;

import com.ruoyi.oa.domain.OaSalaryItem;
import com.ruoyi.oa.domain.vo.OaSalaryItemVo;
import com.ruoyi.oa.domain.bo.OaSalaryItemBo;
import com.ruoyi.common.core.page.TableDataInfo;
import com.ruoyi.common.core.domain.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 薪水详情Service接口
 *
 * @author hdka
 * @date 2025-03-06
 */
public interface IOaSalaryItemService {

    /**
     * 查询薪水详情
     */
    OaSalaryItemVo queryById(Long salaryItemId);

    /**
     * 查询薪水详情列表
     */
    TableDataInfo<OaSalaryItemVo> queryPageList(OaSalaryItemBo bo, PageQuery pageQuery);

    /**
     * 查询薪水详情列表
     */
    List<OaSalaryItemVo> queryList(OaSalaryItemBo bo);

    /**
     * 新增薪水详情
     */
    Boolean insertByBo(OaSalaryItemBo bo);

    /**
     * 修改薪水详情
     */
    Boolean updateByBo(OaSalaryItemBo bo);

    /**
     * 校验并批量删除薪水详情信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);


    Boolean checkFile(OaSalaryItemBo bo);
}
